# CCU Patients Data Dashboard

This application provides a dashboard for monitoring CCU (Critical Care Unit) patients and identifying which patients need referral to a dietitian. It supports CSV uploads to display patient data, visualize analytics through charts, and filter data according to specific needs.

## Getting Started

These instructions will get you a copy of the project up and running on your local machine for development and testing purposes.

### Prerequisites

Before you run the application, you need to install the required Python libraries. Ensure you have Python installed on your system. You can download Python [here](https://www.python.org/downloads/).

### Installing

Follow these steps to get your development environment running:

1. Clone the repository to your local machine by running on terminal:
git clone https://gitlab.uwe.ac.uk/e2-rowling/systems-development.git
2. Navigate to the project directory: cd systems-development
3. Install the required libraries to run the application: pip install -r requirements.txt
4. To run the application use the following command: python main.py


The application window should open, and you can start interacting with the system.

### Using the Dashboard

- **Upload CSV File Tab:** Use this to upload a CSV file containing patient data. Ensure your CSV file is formatted correctly as specified in the project documentation.

- **View Dashboard Tab:** Displays a table of all admitted patients. Use the 'Need Referral' and 'Show All' buttons to filter the data.

- **Analytics Tab:** Shows various analytics about the patients, including a pie chart of referrals and a bar chart for missing patient data.

- **Help Tab:** Provides detailed instructions on how to use each feature of the application.

## Built With

- [Python](https://www.python.org/) - The programming language used.
- [PyQt6](https://riverbankcomputing.com/software/pyqt/) - The GUI toolkit used.

## Authors

- Eleftherios Angelos Tsourdiou
- Edward Rowling
- Meleesha Kodippili
- Lihasha Kristhogubaduge
